/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/

#include "PWM1.h"

/************************************************
;  *    @Function Name       : PWM1_Init
;  *    @Description         : PWM1
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void PWM1_Init(void)
{
#if (PWM1_MODE==0)	//ģʽ
	
		SFRSL0=1;		//лSFR1		
		PWM1IER=0x80;	//PWM1жϣӲ1
		PWM1CR0=0xff;	//ʹPWM10~PWM15ͨ
		PWM1CR1=0x04;	//FsysFpwm1/16ģʽ
		PWM1CR2=0xF0;	//Զ,,ߵƽ
		PWM1CR3=0xff;	//Ƚ
		
		PWM1PH=0;
		PWM1PL=100;		//
		
		PWM10DH=0;
		PWM10DL=50;		//PWM10ռձ50%,
						//PWM1ͨڻģʽ£ռձüĴЧ
		PWM101F=10;		//PWM01ʱ趨PWM101F/FSYS/PWM1CLK=10/16M/16=10us
		
		PWM12DH=0;
		PWM12DL=60;		//PWM12ռձ60%
		PWM123F=15;		//PWM23ʱ趨15us
	
		PWM14DH=0;
		PWM14DL=80;		//PWM14ռձ80%
		PWM145F=5;		//PWM45ʱ趨5us
		
		
		IE1=0x04;
		SFRSL0=0;				  //лSFR0
		
#endif
	
	
#if (PWM1_MODE==1)	//ģʽ
	
		SFRSL0=1;		//лSFR1		
		PWM1IER=0xC3;	//PWM1жϣӲ1ʹɲ
		PWM1CR0=0xff;	//ʹPWM10~PWM15ͨ
		PWM1CR1=0x74;	//FsysFpwm1/16ģʽ
		PWM1CR2=0x80;	//Զ,ߵƽ
		PWM1CR3=0xff;	//Ƚ
		
		PWM1PH=0;
		PWM1PL=100;		//
		
		PWM10DH=0;
		PWM10DL=40;		//PWM10ռձ40%,
		PWM11DH=0;
		PWM11DL=50;		//PWM11ռձ50%,						
		PWM12DH=0;
		PWM12DL=60;		//PWM12ռձ60%,
		PWM13DH=0;
		PWM13DL=70;		//PWM13ռձ70%,
		PWM14DH=0;
		PWM14DL=80;		//PWM14ռձ80%,
		PWM15DH=0;
		PWM15DL=90;		//PWM15ռձ90%,
		
		
		IE1=0x24;
		SFRSL0=0;				  //лSFR0
		
#endif
	
}

void PWM1_ISR(void) interrupt PWM1_IRQn //ж
{
	SFR_INTERRUPT_BUFF_BIT_PWM1 = SFRSL0;		//жϻSFR
	
		SFRSL0=1;				//лSFR1	
		PWM1IER &= ~SET_BIT7;		//0
		P05D = !P05D;
		SFRSL0=0;				  //лSFR0
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM1;		//˳жϻԭSFR

}	
	
void PWM1_FB_ISR(void) interrupt PWM1_FB_IRQn //ɲж
{
	SFR_INTERRUPT_BUFF_BIT_PWM1_FB = SFRSL0;		//жϻSFR
	
	if (P27D == 0) //ɲ
	{
		SFRSL0=1;				  //лSFR1
		PWM1IER &= ~SET_BIT6; //жϱ־
		P06D = 0;
		SFRSL0=0; //лSFR0
	}
	else
	{
		P06D = !P06D;
	}
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM1_FB;		//˳жϻԭSFR
		
}
	



/**************************** end of file *********************************************/
