/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/
#include "UART.h"

/************************************************
;  *    @Function Name       : UART1_Init
;  *    @Description         : 1ʼ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void UART1_Init(void)
{
	
	PCON |= SET_BIT7; //ʹUART1
	SCON_1 &= 0x3f;
	SCON_1 |= 0x50;		 //ʽ1  

	TMOD &= 0xCF;
	TMOD |= SET_BIT5; //ڲʱ  ʽ2
	TL1 = T1_Cnt;
	TH1 = T1_Cnt;
	TR1 = 1; //T1
	
	IE1 |= SET_BIT3; //UART1ж
}
/************************************************
;  *    @Function Name       : putchar   (ռ1kROM)
;  *    @Description         : printfضputchar
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
char putchar(char tx_data)
{
	SBUF_1 = tx_data; //дݵUARTݼĴ
	while (!(SCON_1 & 0x02)); //ȴǰݷ
	SCON_1 &= ~SET_BIT1;
	return tx_data;
}

void UART1_ISR(void) interrupt UART1_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_UART1 = SFRSL0;		//жϻSFR
	SFRSL0=0;				//л0ҳĴ
	if (((SCON_1 & 0x01) == 1))
	{
		SCON_1 &= ~SET_BIT0;
	}
//	if (((SCON_1 & 0x02) == 0x02))
//	{
//		//SCON_1 &= ~DEF_SET_BIT1;
//	}
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_UART1;		//˳жϻԭSFR
}


/**************************** end of file *********************************************/


