/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer3_Init
;  *    @Description         : T3
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer3_Init(void)
{
#if (TIMER_MODE==0)
	
		T3CR=0x0D;		//ʱ,Fsys/128,ʹT3  0A
		T3CR &= ~SET_BIT7; //رTR3
//Ƕд TL3/TH3 ֵ,ֹͣ(TR3=0), T3 Ԥ֪
//дʱ:д TL3,дTH3, TL3 ֵӳڲ counter 
//ȶ TH3,ٶ TL3,򽫶ȡֵ
		TL3 =20;	
		TH3 =134;	
		EA=1;
		T3CR |= SET_BIT7; //TR3=1
		IE1=0x02;  //ʹT3ж
	
#endif
	
#if (TIMER_MODE==1)
	
		T3CR=0x49;	//0.5s,ʹT3
		LFEN = 1;	//Ƶʼչ
		T3CR |= SET_BIT7; //TR3=1
		EA=1;
		IE1=0x02;  //ʹT3ж
	
#endif
}

void Timer3_ISR(void) interrupt T3_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T3 = SFRSL0;		//жϻSFR
	SFRSL0=0;				//л0ҳĴ	
#if (TIMER_MODE==0)
			
		P14D=!P14D;		
	
#endif

#if (TIMER_MODE==1)
	
		P14D=!P14D;	
	
#endif
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T3;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/
