/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.01.20
;  *    @Author/Corporation  : Sophie/SinoMCU
;  *    @΢֧QQȺ   : 814641858
;  *    @΢ 		  : http://www.sinomcu.com/
;  *    @Copyright 			 : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *						                              
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer3_Init
;  *    @Description         : T3
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer3_Init(void)
{
	#if(TIMER_MODE==0)
	{
		T3CR=0x0A;		//ʱFsys/16,ʹT3
		
		T3CR &= ~SET_BIT7; //رTR3
//Ƕд TL3/TH3 ֵ,ֹͣ(TR3=0), T3 Ԥ֪
//дʱ:д TL3,дTH3, TL3 ֵӳڲ counter 
//ȶ TH3,ٶ TL3,򽫶ȡֵ
		TL3 =20;
		TH3 =252;
		T3CR |= SET_BIT7; //TR3=1
		EA=1;
		IE1=0x02;  //ʹT3ж
	}
	#endif
	
	#if(TIMER_MODE==1)
	{
		T3CR=0x49;	//0.5s,ʹT3
		LFEN = 1;	//Ƶʼչ
		T3CR |= SET_BIT7; //TR3=1
		EA=1;
		IE1=0x02;  //ʹT3ж
	}
	#endif
}

void Timer3_ISR(void) interrupt T3_IRQn
{
	#if(TIMER_MODE==0)
	{		
		P05D=!P05D;		
	}
	#endif

	#if(TIMER_MODE==1)
	{
		P05D=!P05D;	
	}
	#endif
	
}

/**************************** end of file *********************************************/
