/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/

#include "INT.h"

/************************************************
;  *    @Function Name       : INT_Init
;  *    @Description         : INT
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void INT_Init(void)
{
	SFRSL0=1;		//лSFR1	
	EXTEN=0x05;		//INT00,ʹINT0
	EXTEN1=0x05;	//INT10,ʹINT1
	SFRSL0=0;		//лSFR0	
		
	EXTIS=0x06;		//½ش
	EXTIS1=0x06;	//½ش
	
	EXTIS &= ~SET_BIT2;
	EXTIS1 &= ~SET_BIT2;
	IE|=0x05;		//ж
}

void INT0_ISR(void) interrupt INT0X_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_INT0 = SFRSL0;		//жϻSFR
	
	SFRSL0=0;				//л0ҳĴ	
	if(EXTIS&SET_BIT2)		//INT00
	{
		EXTIS &= ~SET_BIT2;
		P05D = !P05D;
		P06D = 0;
	}
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_INT0;		//˳жϻԭSFR	
}	

void INT1_ISR(void) interrupt INT1X_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_INT1 = SFRSL0;		//жϻSFR
	
	SFRSL0=0;				//л0ҳĴ		
	if(EXTIS1&SET_BIT2)		//INT10
	{	
		EXTIS1 &= ~SET_BIT2;
		P06D = !P06D;	
		P05D = 0;
	}
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_INT1;		//˳жϻԭSFR	
}	

/**************************** end of file *********************************************/
