/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer0_Init
;  *    @Description         : T0
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer0_Init(void)
{
 //T0ʽ1  16λʱ/ʱ
	TMOD = 0x01;	  //ڲʱ  ʽ1
	TCON = 0x00;
	TCON1 = 0x03; //FT0=FSYS/16	ֹIOת
	TR0 = 0;	  //Ƕд TLx/THx ֵֹͣ(TR0=0;)
	TL0 = 0x6c;   
	TH0 = 0xFc;   //дʱȶдLH

	IP = 0x02;
	IPH = 0x00; //жϵȼ1()
	T0IE = 1;
	EA = 1;
	TR0 = 1;

}

void Timer0_ISR(void) interrupt T0_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T0 = SFRSL0;		//жϻSFR
	
	SFRSL0=0;				//л0ҳĴ	
	TR0 = 0; //Ƕд TLx/THx ֵֹͣ(TR0=0;)
	TL0 = 0x6c;
	TH0 = 0xFc; //дʱȶдLH
	TR0 = 1;
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T0;		//˳жϻԭSFR
}


/**************************** end of file *********************************************/







