/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date 		 : 2021.09.01
;  *    @Author/Corporation  : SinoMCU_FAE
;  *    @΢֧QQ    : 2048615934
;  *    @΢ 		 : http://www.sinomcu.com/
;  *    @Copyright 			 : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                      
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer2_Init
;  *    @Description         : T2
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer2_Init(void)
{
#if (TIMER_MODE==0)		//ʽ0:16λطʽ
		T2CON=0x00;			//ڲʱ
		T2MOD=0xA0;			//Fsys/16  Զ
		T2CON1=0x01;		//ʹT2ģ
	
		TR2=0;				//ǶдTL2/TH2ֵֹͣTR2=0
		TL2 = (65536 - 1000) % 256;
		TH2 = (65536 - 1000) / 256;
		RCAPL2 = (65536 - 1000) % 256;
		RCAPH2 = (65536 - 1000) / 256; //1ms			
		TR2=1;
		//EA=1;		//ж
		IE1|=SET_BIT0;	//ʹT2ж
			
#endif

#if (TIMER_MODE==1)		//ʽ1:16λ벶ʽ	
		T2CON=0x09;	//49		//ڲʱԴʱ벶
		T2MOD=0x40;		//Fsys/64  Զ	 	
		T2CON1=0x05;	//ʹT2  Ч
		//T2CON1=0x01;	//ʹT2  ½Ч
		EA=1;		//ж
		IE1|= SET_BIT0;	//ʹT2ж

#endif
	
#if (TIMER_MODE==3)		//ʽ316λȽϷʽ

		T2CON=0x00;			//ڲʱԴڶʱ
		T2MOD=0xAC;			//أFsys/16ʱתIOʼƽΪ
		T2CON1=0x41;		//תȽģʽʹT2ģ
		
		TR2=0;
//Ƕд TL2/TH2(RCAPL2/RCAPH2)ֵ,ֹͣ(TR2=0), T2 Ԥ֪
//дʱ:д TL2(RCAPL2),дTH2(RCAPH2),TL2(RCAPL2)ֵӳڲcounter,
//ʱ:ȶ TL2(RCAPL2),ٶTH2(RCAPH2),򽫶ȡֵ
		TL2=0;
		TH2=0;
		RCAPL2=1000%256;
		RCAPH2=1000/256;	//1ms
		
		EA=1;		//ж
		//IE1|=SET_BIT0;	//ʹT2ж
		IE1=0x01;
		TR2=1;
	
#endif
	
}

void Timer2_ISR(void) interrupt T2_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T2 = SFRSL0;		//жϻSFR
	
#if (TIMER_MODE==0)
	
		SFRSL0=0;				//л0ҳĴ
		if(TF2==1)
		{
			TR2=0;				//ǶдTL2/TH2ֵֹͣTR2=0
			TL2 = (65536 - 1000) % 256;
			TH2 = (65536 - 1000) / 256;
			P05D=!P05D;	
			TR2=1;
			TF2=0;	
		}
	
#endif

#if (TIMER_MODE==1)
	
		SFRSL0=0;				//л0ҳĴ
		if(TF2==1)
		{
			TF2=0;
			High_Overflow_Num++; 		//
		}

		if(EXTF2==1)
		{
			if(FLAG_T2_UP==0)		//
			{
				
				TR2=1;			//T2
				FLAG_T2_UP=1;	
				T2CON1=0x01; //½ش
			}
			else	//׽½ 
			{
				TR2=0;
				FLAG_T2_DOWN=1;
			}
//			if(FLAG_T2_DOWN==0)
//			{
//				TR2=1;			//T2
//				FLAG_T2_DOWN=1;
//				T2CON1=0x05; //ش
//			}	
//			else
//			{
//				TR2=0;
//				FLAG_T2_UP=1;
//			}
			EXTF2=0;
		}

	
#endif

#if (TIMER_MODE==3)
	
		SFRSL0=0;				//л0ҳĴ
		if(TF2==1)
		{
			TF2=0;
			P05D=!P05D;
		}
	
#endif
	
	
SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T2;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/
